Subject: Re: [PATCH iproute2 -master 2/4] tc, bpf: improve verifier logging

From: John Fastabend <[email-masked]>
Date: Mon, 01 Feb 2016 16:51:56 -0800

On 16-02-01 04:12 PM, Daniel Borkmann wrote:
> With a bit larger, branchy eBPF programs f.e. already ~BPF_MAXINSNS/7 in
> size, it happens rather quickly that bpf(2) rejects also valid programs
> when only the verifier log buffer size we have in tc is too small.
> 
> Change that, so by default we don't do any logging, and only in error
> case we retry with logging enabled. If we should fail providing a
> reasonable dump of the verifier analysis, retry few times with a larger
> log buffer so that we can at least give the user a chance to debug the
> program.
> 
> Signed-off-by: Daniel Borkmann <[email-masked]>
> ---
>  tc/tc_bpf.c | 156 ++++++++++++++++++++++++++++++++++++++++++------------------

Acked-by: John Fastabend <[email-masked]>

Thanks! I've been hacking around this for a while now but never
got around to fixing it.